import { Toaster } from '@redwoodjs/web/dist/toast'

import ToastNotification from '../ToastNotification/ToastNotification'

const ToasterWrapper = () => (
  <Toaster
    position="top-right"
    containerClassName="-mr-2 mt-16"
    containerStyle={{
      zIndex: 50, // "z-50" does not work
    }}
    gutter={8}
  >
    {(t) => (
      <ToastNotification t={t} type={t.type} message={t.message.toString()} />
    )}
  </Toaster>
)

export default ToasterWrapper
