import { Metadata } from '@redwoodjs/web'

import { useAuth } from 'src/auth'
import Uploader from 'src/components/Uploader/Uploader'

const HomePage = () => {
  const { isAuthenticated } = useAuth()
  return (
    <>
      <Metadata title="Home" description="Home page" />

      {isAuthenticated ? <Uploader /> : <></>}
    </>
  )
}

export default HomePage
